#pragma once
#include "Ground.hpp"
#include "PerlinNoise.hpp"

class PerlinGround : public Ground {
    public:
        PerlinGround();
        PerlinGround(unsigned int seed);
        double operator() (double, double) const;
        Point get_normal(double x, double y) const;
        PerlinNoise* get_surface() { return &surface;}
    private:
        PerlinNoise surface;
};
